Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class KeyExpression

    java.lang.Object
      org.codehaus.groovy.grails.webflow.engine.builder.KeyExpression

All Implemented Interfaces:
  org.springframework.binding.expression.Expression

    class KeyExpression

Simple Expression implementation that holds a Map key.

Property Summary
`java.lang.String` | `key`

Method Summary
`java.lang.String` | `getExpressionString()`
`java.lang.Object` | `getValue(java.lang.Object context)`
`java.lang.Class` | `getValueType(java.lang.Object context)`
`void` | `setValue(java.lang.Object context, java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### key

    java.lang.String key

Method Detail

### getExpressionString

    java.lang.String getExpressionString()

### getValue

    java.lang.Object getValue(java.lang.Object context)

### getValueType

    java.lang.Class getValueType(java.lang.Object context)

### setValue

    void setValue(java.lang.Object context, java.lang.Object value)

Groovy Documentation